PROJ = gnuchess
PROJFILE = gnuchess.mak
DEBUG = 0

PWBRMAKE  = pwbrmake
NMAKEBSC1  = set
NMAKEBSC2  = nmake
CC  = cl
CFLAGS_G  = /AL /W2 /G2
CFLAGS_D  = /qc /Gi$(PROJ).mdt /Zr /Zi /Od
CFLAGS_R  = /Ot /Zi
ASM  = masm
AFLAGS_G  = /Mx /T
AFLAGS_D  = /Zi
LINKER  = link
ILINK  = ilink
LRF  = echo > NUL
BIND  = bind
RC  = rc
IMPLIB  = implib
LFLAGS_G  =  /NOI /ST:15360
LFLAGS_D  = /CO /INC /FAR /PACKC
LFLAGS_R  =  /NOF /NOP
MAPFILE_D  = NUL
MAPFILE_R  = NUL

OBJS  = gnuchess.obj nondsp.obj
SBRS  = gnuchess.sbr nondsp.sbr

all: $(PROJ).exe

.SUFFIXES: .c .sbr .obj

gnuchess.obj : gnuchess.c E:\MC\INCLUDE\stdio.h E:\MC\INCLUDE\ctype.h\
        E:\MC\INCLUDE\stdlib.h E:\MC\INCLUDE\time.h E:\MC\INCLUDE\alloc.h\
        E:\MC\INCLUDE\string.h chess.pro

gnuchess.sbr : gnuchess.c E:\MC\INCLUDE\stdio.h E:\MC\INCLUDE\ctype.h\
        E:\MC\INCLUDE\stdlib.h E:\MC\INCLUDE\time.h E:\MC\INCLUDE\alloc.h\
        E:\MC\INCLUDE\string.h chess.pro

nondsp.obj : nondsp.c E:\MC\INCLUDE\stdio.h E:\MC\INCLUDE\ctype.h\
        E:\MC\INCLUDE\dos.h E:\MC\INCLUDE\stdlib.h E:\MC\INCLUDE\time.h\
        E:\MC\INCLUDE\string.h E:\MC\INCLUDE\conio.h E:\MC\INCLUDE\signal.h\
        gnuchess.h chess.pro

nondsp.sbr : nondsp.c E:\MC\INCLUDE\stdio.h E:\MC\INCLUDE\ctype.h\
        E:\MC\INCLUDE\dos.h E:\MC\INCLUDE\stdlib.h E:\MC\INCLUDE\time.h\
        E:\MC\INCLUDE\string.h E:\MC\INCLUDE\conio.h E:\MC\INCLUDE\signal.h\
        gnuchess.h chess.pro


$(PROJ).bsc : $(SBRS)
        $(PWBRMAKE) @<<
$(BRFLAGS) $(SBRS)
<<

$(PROJ).exe : $(OBJS)
!IF $(DEBUG)
        $(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
        $(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
!IF $(DEBUG)
        $(ILINK) -a -e "$(LINKER) @$(PROJ).lrf" $@
!ELSE
        $(LINKER) @$(PROJ).lrf
!ENDIF


.c.sbr :
!IF $(DEBUG)
        $(CC) /Zs $(CFLAGS_G) $(CFLAGS_D) /FR$@ $<
!ELSE
        $(CC) /Zs $(CFLAGS_G) $(CFLAGS_R) /FR$@ $<
!ENDIF

.c.obj :
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fo$@ $<
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fo$@ $<
!ENDIF


run: $(PROJ).exe
        $(PROJ).exe $(RUNFLAGS)

debug: $(PROJ).exe
        CVP $(CVFLAGS) $(PROJ).exe $(RUNFLAGS)
